This is an automated email from the git hooks/post-receive script.

fsfs pushed a commit to branch master
in repository libplack-middleware-debug-perl.

commit 033cd7f0ce38ab9c17d7723d78372c0fc89b38fb
Author: Florian Schlichting <f...@debian.org>
Date:   Thu May 1 23:40:28 2014 +0200

    Repack source to remove minified jquery and jquery-cookie files
---
 debian/changelog    |  2 +-
 debian/copyright    |  7 +++++
 debian/repack.local |  2 ++
 debian/repack.stub  | 91 +++++++++++++++++++++++++++++++++++++++++++++++++++++
 debian/watch        |  4 ++-
 5 files changed, 104 insertions(+), 2 deletions(-)

diff --git a/debian/changelog b/debian/changelog
index 614c6ed..6311d64 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -1,4 +1,4 @@
-libplack-middleware-debug-perl (0.16-2) UNRELEASED; urgency=medium
+libplack-middleware-debug-perl (0.16+dfsg-1) UNRELEASED; urgency=medium
 
   [ gregor herrmann ]
   * debian/control: bump required debhelper version for
diff --git a/debian/copyright b/debian/copyright
index eb549ba..d7e23d2 100644
--- a/debian/copyright
+++ b/debian/copyright
@@ -2,6 +2,9 @@ Format: 
http://www.debian.org/doc/packaging-manuals/copyright-format/1.0/
 Source: https://metacpan.org/release/Plack-Middleware-Debug
 Upstream-Contact: Marcel Grunauer, mar...@cpan.org
 Upstream-Name: Plack-Middleware-Debug
+Comment: Minified versions of jquery.js and jquery.cookie.js that do not come
+ with their (non-minified, preferred form for modification) source were removed
+ to create the +dfsg version.
 
 Files: *
 Copyright: 2009, Marcel Grunauer <mar...@cpan.org>
@@ -23,6 +26,10 @@ Files: debian/*
 Copyright: 2014, Florian Schlichting <f...@debian.org>
 License: Artistic or GPL-1+
 
+Files: debian/repack.stub
+Copyright: 2009, Ryan Niebur <r...@debian.org>
+License: Artistic or GPL-1+
+
 License: Artistic
  This program is free software; you can redistribute it and/or modify
  it under the terms of the Artistic License, which comes with Perl.
diff --git a/debian/repack.local b/debian/repack.local
new file mode 100644
index 0000000..5b90517
--- /dev/null
+++ b/debian/repack.local
@@ -0,0 +1,2 @@
+MANIFEST=1
+rm share/debug_toolbar/jquery.js
diff --git a/debian/repack.stub b/debian/repack.stub
new file mode 100755
index 0000000..7e36f5f
--- /dev/null
+++ b/debian/repack.stub
@@ -0,0 +1,91 @@
+#!/bin/sh
+
+: <<=cut
+=pod
+
+=head1 NAME
+
+repack.stub - script to repack upstream tarballs from uscan
+
+=head1 INSTRUCTIONS
+
+put this in debian/repack.stub and add "debian sh debian/repack.stub" to
+the end of the line in debian/watch. you will also need to add a version
+mangle to debian/watch.
+
+then create a debian/repack.local. this is a shell script that is
+sourced under "set -e", so be careful to check returns codes.
+
+=head1 FUNCTIONS
+
+=over 4
+
+=item rm
+
+rm is replaced by a function that does some magic ("rm -rv" by default), but 
also changes MANIFEST if $MANIFEST is 1
+
+=item mv
+
+mv is replaced by a function that just does mv (by default), but also changes 
MANIFEST if $MANIFEST is 1
+
+=item requires_version
+
+requires_version is there for future usage for requiring certain versions of 
the script
+
+=back
+
+=head1 VARIABLES
+
+=over 4
+
+=item SUFFIX
+
+defaults to +dfsg
+
+what to append to the upstream version
+
+=item RM_OPTS
+
+defaults to -vrf
+
+options to pass to rm
+
+=item MANIFEST
+
+defaults to 0, set to 1 to turn on.
+
+this will manipulate MANIFEST files in CPAN tarballs.
+
+=item UP_BASE
+
+this is the directory where the upstream source is.
+
+=back
+
+=head1 COPYRIGHT AND LICENSE
+
+Copyright 2009, Ryan Niebur <r...@debian.org>
+
+This program is free software; you can redistribute it and/or modify it
+under the same terms as Perl itself.
+
+=cut
+
+if [ -z "$REPACK_SH" ]; then
+    if [ -x /usr/share/pkg-perl-tools/repack.sh ]; then
+        REPACK_SH='/usr/share/pkg-perl-tools/repack.sh'
+    elif [ -f ../../scripts/repack.sh ]; then
+        REPACK_SH=../../scripts/repack.sh
+    fi
+    if [ -z "$REPACK_SH" ] && which repack.sh > /dev/null; then
+        REPACK_SH=$(which repack.sh)
+    fi
+fi
+
+if [ ! -f "$REPACK_SH" ]; then
+    echo "Couldn't find a repack.sh. please put it in your PATH, put it at 
../../scripts/repack.sh, or put it somewhere else and set the REPACK_SH 
variable"
+    echo "You can get it from 
http://anonscm.debian.org/gitweb/?p=pkg-perl/packages/pkg-perl-tools.git;a=blob_plain;f=scripts/repack.sh;hb=HEAD";
+    exit 1
+fi
+
+exec "$REPACK_SH" "$@"
diff --git a/debian/watch b/debian/watch
index 3c410eb..c717ea8 100644
--- a/debian/watch
+++ b/debian/watch
@@ -1,2 +1,4 @@
 version=3
-https://metacpan.org/release/Plack-Middleware-Debug   
.*/Plack-Middleware-Debug-v?(\d[\d.-]*)\.(?:tar(?:\.gz|\.bz2)?|tgz|zip)$
+opts=dversionmangle=s/\+dfsg$// \
+    https://metacpan.org/release/Plack-Middleware-Debug   
.*/Plack-Middleware-Debug-v?(\d[\d.-]*)\.(?:tar(?:\.gz|\.bz2)?|tgz|zip)$ \
+    debian sh debian/repack.stub

-- 
Alioth's /usr/local/bin/git-commit-notice on 
/srv/git.debian.org/git/pkg-perl/packages/libplack-middleware-debug-perl.git

_______________________________________________
Pkg-perl-cvs-commits mailing list
Pkg-perl-cvs-commits@lists.alioth.debian.org
http://lists.alioth.debian.org/cgi-bin/mailman/listinfo/pkg-perl-cvs-commits

Reply via email to